Crypto++

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Static Public Member Functions | Static Public Attributes
LR_Info< T > Struct Template Reference

algorithm info More...

`#include <lubyrack.h>`

Inheritance diagram for LR_Info< T >:

List of all members.

## Static Public Member Functions

static std::string | StaticAlgorithmName ()
static size_t | StaticGetValidKeyLength (size_t n)

## Static Public Attributes

static const int | MIN_KEYLENGTH
static const int | MAX_KEYLENGTH
static const int | DEFAULT_KEYLENGTH
static const int | KEYLENGTH_MULTIPLE
static const int | IV_REQUIREMENT
static const int | IV_LENGTH
static const int | BLOCKSIZE

## Detailed Description

### template<class T>
struct LR_Info< T >

algorithm info

Definition at line 20 of file lubyrack.h.

The documentation for this struct was generated from the following file:

- lubyrack.h